CompilePhase (Groovy 4.0.10)

Package: org.codehaus.groovy.control

## [Java] Enum CompilePhase

- org.codehaus.groovy.control.CompilePhase

-     public enum CompilePhase
      extends Enum

  The phases of the GroovyCompiler. This is an enum facade on top of the Phases object. In general, prefer using this object over Phases.

- - ### Enum Constants Summary

    Enum constants classes
    Enum constant | Description
    --- | ---
    `CANONICALIZATION` | Complete building the AST
    `CLASS_GENERATION` | creates the binary output in memory
    `CONVERSION` | An abstract syntax tree (AST) is created from token trees
    `FINALIZATION` | Perform any last cleanup
    `INITIALIZATION` | source files are opened and environment configured
    `INSTRUCTION_SELECTION` | instruction set is chosen, for example java5 or pre java5
    `OUTPUT` | write the binary output to the file system
    `PARSING` | the grammar is used to produce tree of tokens representing the source code
    `SEMANTIC_ANALYSIS` | Performs consistency and validity checks that the grammar can't check for, and resolves classes

  - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static CompilePhase[]` | `phases` | The phases as an array, with a null entry.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public static CompilePhase` | `fromPhaseNumber(int phaseNumber)` Returns the CompilePhase for the given integer phase number.
    `` | `public int` | `getPhaseNumber()` Returns the underlying integer Phase number.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Enum` | `name, equals, toString, hashCode, compareTo, compareTo, valueOf, describeConstable, getDeclaringClass, ordinal, wait, wait, wait, getClass, notify, notifyAll`

- - ### Enum Constant Detail

    - #### public CompilePhase CANONICALIZATION

      Complete building the AST

    - #### public CompilePhase CLASS_GENERATION

      creates the binary output in memory

    - #### public CompilePhase CONVERSION

      An abstract syntax tree (AST) is created from token trees

    - #### public CompilePhase FINALIZATION

      Perform any last cleanup

    - #### public CompilePhase INITIALIZATION

      source files are opened and environment configured

    - #### public CompilePhase INSTRUCTION_SELECTION

      instruction set is chosen, for example java5 or pre java5

    - #### public CompilePhase OUTPUT

      write the binary output to the file system

    - #### public CompilePhase PARSING

      the grammar is used to produce tree of tokens representing the source code

    - #### public CompilePhase SEMANTIC_ANALYSIS

      Performs consistency and validity checks that the grammar can't check for, and resolves classes

  - ### Field Detail

    - #### public static CompilePhase[] phases

      The phases as an array, with a null entry.

  - ### Method Detail

    - #### public static CompilePhase fromPhaseNumber(int phaseNumber)

      Returns the CompilePhase for the given integer phase number.

      Parameters:
        `phaseNumber` - the phase number
      Returns:
        the CompilePhase or null if not found

    - #### public int getPhaseNumber()

      Returns the underlying integer Phase number.